2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs: Fix
	  incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Fix build.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Properly destroy the web reference dialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  More dialog placing.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Flush.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.WS/WebServiceDiscoveryResultWS.cs:
	* MonoDevelop.WebReferences.WCF/WebServiceDiscoveryResultWCF.cs:
	  Use correct namespace when updating a web reference. Fixes
	  bug #605942 - Refreshing .NET 2.0 Web Service causes
	  additional class nesting.

2010-04-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.WCF/WebServiceDiscoveryResultWCF.cs:
	  Fix build.

2010-04-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.WebReferences.WS:
	* MonoDevelop.WebReferences.WCF:
	* MonoDevelop.WebReferences.csproj:
	* MonoDevelop.WebReferences.addin.xml:
	* MonoDevelop.WebReferences.WCF/WCFMetadata.cs:
	* MonoDevelop.WebReferences/WebReferenceItem.cs:
	* MonoDevelop.WebReferences/WebServiceEngine.cs:
	* MonoDevelop.WebReferences.WS/WebReferences.cs:
	* MonoDevelop.WebReferences.WCF/MetadataFile.cs:
	* MonoDevelop.WebReferences.WCF/ExtensionFile.cs:
	* MonoDevelop.WebReferences.WCF/ClientOptions.cs:
	* MonoDevelop.WebReferences/WebServiceEngineWS.cs:
	* MonoDevelop.WebReferences.WS/WebReferenceUrl.cs:
	* MonoDevelop.WebReferences/WebReferenceFolder.cs:
	* MonoDevelop.WebReferences.WCF/ReferenceGroup.cs:
	* MonoDevelop.WebReferences.WCF/MetadataSource.cs:
	* MonoDevelop.WebReferences/WebServiceEngineWCF.cs:
	* MonoDevelop.WebReferences/WebReferencesService.cs:
	* MonoDevelop.WebReferences.WCF/CollectionMapping.cs:
	* MonoDevelop.WebReferences.WS/WebServiceEngineWS.cs:
	* MonoDevelop.WebReferences.WCF/WCFMetadataStorage.cs:
	* MonoDevelop.WebReferences.WCF/ReferencedAssembly.cs:
	* MonoDevelop.WebReferences.WCF/WebServiceEngineWCF.cs:
	* MonoDevelop.WebReferences/WebServiceDiscoveryResult.cs:
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	* MonoDevelop.WebReferences/WebReferenceItemCollection.cs:
	* MonoDevelop.WebReferences.WS/WebServiceDiscoveryResultWS.cs:
	* MonoDevelop.WebReferences.NodeBuilders/ProjectNodeBuilder.cs:
	* MonoDevelop.WebReferences.WCF/WebServiceDiscoveryResultWCF.cs:
	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	* MonoDevelop.WebReferences.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	  Improved compatibility. VS can now properly open projects
	  with web references created with MD, and vice-versa.
	  Reorganized a bit the code.

2010-04-23  Carlo Kok  <ck@remobjects.com>
	* Makefile.am:
	* MonoDevelop.WebReferences.csproj:
	  Add missing System.Configuration reference.
	  
2010-04-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.WebReferences.csproj:
	* MonoDevelop.WebReferences.Resources/WebReference.png:
	* MonoDevelop.WebReferences.Resources/WebReferenceItem.VS.png:
	* MonoDevelop.WebReferences.Resources/WebReference.Service.png:
	* MonoDevelop.WebReferences.Resources/WebReference.File.Wsdl.png:
	* MonoDevelop.WebReferences.Resources/WebReference.File.Disco.png:
	* MonoDevelop.WebReferences.Resources/WebReferenceFolder.Open.png:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	* MonoDevelop.WebReferences.Resources/WebReferenceFolder.Closed.png:
	  Remove unused icons.

	* MonoDevelop.WebReferences/WebServiceEngineWCF.cs:
	* MonoDevelop.WebReferences/MoonlightChannelBaseExtension.cs:
	  Add support for moonlight and monotouch proxies.

2010-04-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.WebReferences.csproj:
	* MonoDevelop.WebReferences/CodeGenerator.cs:
	* MonoDevelop.WebReferences/WebServiceEngine.cs:
	* MonoDevelop.WebReferences/WebReferenceItem.cs:
	* MonoDevelop.WebReferences/WebServiceEngineWS.cs:
	* MonoDevelop.WebReferences/WebServiceEngineWCF.cs:
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	* MonoDevelop.WebReferences/WebReferenceItemCollection.cs:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	  Add support for WCF references.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs: Log
	  the error.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	  Show an error message if DiscoverAny fails. Fixes bug
	  #590375 - Add Web Reference dialog silently swallows errors.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences/WebReferenceItem.cs: Fix warning.

	* MonoDevelop.WebReferences/WebReferenceItemCollection.cs:
	  Simplify.

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Ask for confirmation before deleting a web reference.

	* gtk-gui/gui.stetic:
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	  Don't allow duplicate reference names.

	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  Don't allow duplicate reference names. Fixes bug #582487 -
	  Web reference cannot be deleted.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.WebReferences.addin.xml: Bumped MD version.

2010-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Use the correct reference name for comparing. Fixes bug
	  #583009 - WebReferenceCommandHandler duplicates references.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.WebReferences.csproj:
	* MonoDevelop.WebReferences.addin.xml:
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceNodeBuilder.cs:
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.WebReferences.csproj:
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	* MonoDevelop.WebReferences.Dialogs/UserPasswordDialog.cs:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.UserPasswordDialog.cs:
	  Add support for basic authentication.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  Flush.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.WebReferences/CodeGenerator.cs: Fix spelling
	  typo.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.WebReferences.csproj:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  Flush.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	  Don't generate invalid namespace names. Hide the navigation
	  toolbar if we have no browser.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.csproj: Updated dependencies. We
	  now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences\Library.cs: Fix cast exception on
	  MS.NET.

2009-08-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Before adding refs, resolve them against the target
	  framework.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences/Library.cs: VS uses "Web
	  References" instead of "WebReferences"

	* MonoDevelop.WebReferences/DiscoveryProtocol.cs: Ignore
	  unknown discovery results.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  Flush.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences\Library.cs:
	* MonoDevelop.WebReferences\WebReferenceItemCollection.cs:
	* MonoDevelop.WebReferences.NodeBuilders\WebReferenceFolderNodeBuilder.cs:
	  Use the new FilePath class for handling file and directory
	  paths.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.WebReferences/WebReferenceItem.cs: fixed
	  compilation error.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.WebReferences/WebReferenceItem.cs: Applied patch
	  from Luciano N. Callero <lnc19@hotmail.com> : "Fix Web
	  Reference Update bug that prevent a web reference from being
	  update."


2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.WebReferences.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2009-03-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Fix framework IDs.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.addin.xml: Track merge of the
	  project pad context menu.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs: Flush.

2009-02-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences/CodeGenerator.cs: Properly fix
	  warning.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.WebReferences.csproj: Make implicit references
	  explicit. Csc is much pickier about these.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.WebReferences.csproj: Remove invalid
	  ApplicationIcon value that broke the build in VS.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.WebReferences/CodeGenerator.cs:
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  Fixed compiler warnings

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.mds:
	* MonoDevelop.WebReferences.mdp:
	* MonoDevelop.WebReferences.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.WebReferences.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	Track API changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceNodeBuilder.cs:
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	Fix comments.

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs: Make
	sure no files are added to the project if the web reference proxy
	can't be generated.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	Flush.

	* Makefile.am: Fix parallel build.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2008-11-05  Mike Kestner <mkestner@novell.com>

	* MonoDevelop.WebReferences.mdp: update the UsePartialTypes attribute.
	Not sure how or why it got set to False, but it should be true.
	[Fixes #440796]

2008-10-22 Luciano N. Callero <lnc19@hotmail.com>

	* MonoDevelop.WebReferences/CodeGenerator.cs: Add a new Constructor
	  to the proxy class with Url as a parameter.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Track API.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  Updated generated code.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.WebReferences.NodeBuilders/ProjectNodeBuilder.cs,
	  MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs,
	  MonoDevelop.WebReferences.NodeBuilders/WebReferenceNodeBuilder.cs,
	  MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Moved the extensible tree view to its own directory.

2008-06-18  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.WebReferences/WebReferenceItem.cs: Update web reference 
	  over the network.

2008-06-17  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs: 
	  Auto-add necessary references.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs,
	  MonoDevelop.WebReferences/WebReferenceItem.cs,
	  MonoDevelop.WebReferences/Library.cs,
	  MonoDevelop.WebReferences/WebReferenceItemCollection.cs,
	  MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs,
	  gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs:
	  New project model changes.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs,
	  MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs: Worked on gnome
	  hig compliant alerts.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	  Refactored status bar.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Updated add-in category and
	  description.

2008-01-02  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	The using System.Net;\rusing System.Text;\n pattern was causing a
	CS8025 on SVN trunk.  Replace the \r with a \n.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences/Library.cs,
	  MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs,
	  gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs,
	  gtk-gui/gui.stetic: Make it work when a browser is not installed.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp: Updated project files. The order of
	  extended properties won't change anymore.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp, Makefile.am: Directory reorganization.

2007-11-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.WebReferences.mdp,
	  MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs,
	  gtk-gui/gui.stetic: Use WebBrowserService instead of MozillaControl.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.WebReferences.mdp: Don't try to use partial types in stetic
	  code generation.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp: Project file names updated by change in MD
	  path functions.

2007-10-01  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (FILES, REFS): Remove $(srcdir) prefix.  It's added
	automatically by Makefile.include.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Bump MD version.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Removed the CommandService class.
	  Everything is done directly with CommandManager. Moved all extension
	  node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml,
	  MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs,
	  MonoDevelop.WebReferences.NodeBuilders/WebReferenceNodeBuilder.cs,
	  MonoDevelop.WebReferences.mdp, Makefile.am: Reorganized the extension
	  point hierarchy. Embedded all add-in manifests as resources.

2007-08-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs: API
	  cleanup. Converted core services into regular classes.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	  Converted DispatchService to a static class.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml,
	  MonoDevelop.WebReferences.NodeBuilders/WebReferenceNodeBuilder.cs:
	  Declared missing extension point.

2007-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic,
	  MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs: Made the
	  dialog internal.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp: Copy the .addins.xml file to the
	  output dir.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Updated.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp, Makefile.am: Reference shared
	  assemblies from the correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml, MonoDevelop.WebReferences.mdp,
	  gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am: Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Avoid version auto-increment.
	* MonoDevelop.WebReferences.mdp: Don't copy referenced assemblies.
	* Makefile.am: Flush.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp, Makefile.am: Synchronized the MD
	  project and the Makefile
	* gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs,
	  gtk-gui/gui.stetic: Updated.

2007-02-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.WebReferences.mdp, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am: i18n fixes and split stetic
	  generated code in several files.

2006-11-29 Gideon de Swardt <gdeswardt@gmail.com>
	* Makefile.in: 
	Remove the Makefile.in from source, should not have been committed in the first place.

2006-11-28 Gideon de Swardt <gdeswardt@gmail.com>
	* MonoDevelop.WebReferences:
	Move the source code from Google Code project.

2006-08-31 Gideon de Swardt <gdeswardt@gmail.com>
	* MonoDevelop.WebReferences/CodeGenerator:
	Changed the class to use the LanguageBinding from the DotNetProject.

2006-08-26 Gideon de Swardt <gdeswardt@gmail.com>
	* MonoDevelop.WebReferences.Dialogs/WebReferenceDialog.cs:
	Moved the UI code to stetic
	* svnci:
	Added the svn commit change log script from monodevelop

2006-08-25 Gideon de Swardt <gdeswardt@gmail.com>
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	Added an event handler to refresh the web reference folder node when a *.map project 
	file has been removed from a project

2006-08-15 Gideon de Swardt <gdeswardt@gmail.com>
		
	* MonoDevelop.WebReferences.addin.xml:
	Removed the Delete All menu option on the Web Reference folder
	Changed the version number
	
	* MonoDevelop.WebReferences/CodeGenerator.cs:
	Added support for generating the code in VB.NET
	
	* MonoDevelop.WebReferences/Library.cs:
	Added a method that checks if the project contains any web references
	
	* MonoDevelop.WebReferences/WebReferenceItemCollection.cs:
	Optimized the WebReferenceItemCollection construct method by only looping through the 
	project files collection once instead of previously seeking for the specific map file
	after it found the reference file. This will also sort the problem with VB reference files
	not being loaded.
	
	* MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:
	Check that the project options for the Runtime Version is set to 
	"2.0", if it is set to "1.1" ask the user whether or not to
	switch to "2.0" automatically. The project build will fail if
	the Runtime is set to 1.1. Do not add the web reference if the
	user chooses to keep the runtime version 1.1.
	
	Added functionality to add a ProjectReference for System.Web.Services to the project if
	it does not currently contain a reference. This is required to successfully compile 
	the project.
	
	* MonoDevelop.WebReferences.NodeBuilders/ProjectNodeBuilder.cs:
	Check if the project contains any web references before it adds the WebReferenceFolder
	
	* MonoDevelop.WebReferences.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	Add a check not to hide the web reference folder if the project options is set to show all
	
	* MonoDevelop.WebReferences.NodeBuilders/WebReferenceFolderNodeBuilder.cs:
	Changed the HasChildNodes method to use the new method to check if a project contains any 
	web references rather than parsing and loading the collection of all web references in a project.
	Changed the BuildChildNodes to parse the project every time the method is called.

2006-08-11 Gideon de Swardt  <gdeswardt@gmail.com> 

	Initial setup of the AddIn
